package msg_transfer

import (
	"dcg/game/svc"
)

var (
	danmakuMsgToPush MsgToPushHandler
	giftMsgToPush    GiftToPushHandler
	nobilityTransfer NobilityTransferHandler
	rewardTransfer   RewardTransferHandler
)

func Init(svc *svc.ServiceContext) {
	danmakuMsgToPush.Init(svc)
	giftMsgToPush.Init(svc)
	nobilityTransfer.Init(svc)
	rewardTransfer.Init(svc)
}

func Run() {
	go danmakuMsgToPush.ConsumerGroup.RegisterHandlerAndConsumer(&danmakuMsgToPush)
	go giftMsgToPush.ConsumerGroup.RegisterHandlerAndConsumer(&giftMsgToPush)
	go nobilityTransfer.ConsumerGroup.RegisterHandlerAndConsumer(&nobilityTransfer)
	go rewardTransfer.ConsumerGroup.RegisterHandlerAndConsumer(&rewardTransfer)
}
